:root {
    /* ### Primary */

    --dark-blue: hsl(233, 26%, 24%);
    --lime-green: hsl(136, 65%, 51%);
    --bright-cyan: hsl(192, 70%, 51%);
    
    /* ### Neutral */
    
    --grayish-blue: hsl(233, 8%, 62%);
    --light-grayish-blue: hsl(220, 16%, 96%);
    --very-light-gray: hsl(0, 0%, 98%);
    --white: hsl(0, 0%, 100%);
  }

*{
    box-sizing: border-box;
}

body{
    font-size: 18px;
    background-image:url("../images/bg-intro-mobile.svg");
    background-repeat: no-repeat;
    background-size: 100%;
    font-family: 'Public Sans', sans-serif;
}

.header{
    width: 100%;
    padding: 4% 10% 4% 10%;
    background-color: var(--white);
    position: static;

}

.header-container{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.logo > img{
    width: 150%;
}

.hamburger > img{
    width: 32px;
}

.request-button > button{
    position: relative;
    display: none;
}

nav{
    position: relative;
    display: none;
}

.main-content{
    position: relative;
    top: -33vw;
    z-index: -1;
}

.main-content .mock-up{
    margin-left: 4%;
    width: 97%;
}

.main-content .mock-up > img{
    width: 90%;
    object-fit: cover;
    object-position: top 12px right -10px;

}

.content{
    width: 80%;
    margin: 10% 0 0 10%;
    display: flex;
    flex-direction: column;

}

.content > h1{
    font-size: 2.4rem;
    text-align: center;
    font-weight: 300;
    color: var(--dark-blue);
}

.content > p{
    margin-top: 6%;
    line-height: 1.4rem;
    text-align: center;
    color: var(--grayish-blue);
}

.content button{
    background-image: linear-gradient(90deg, hsl(136, 65%, 51%),hsl(192, 70%, 51%));
    margin-top: 10%;
    width: 56%;
    font-size: 1rem;
    font-weight: bold;
    border: none;
    background-color: var(--lime-green);
    border-radius: 2rem;
    color: white;
    padding: 16px;
    align-self: center;
    text-align: center;
}



.question-content{
    padding: 10%;
    background-color: var(--light-grayish-blue);
}

.question > :nth-child(1){
    text-align: center;
    font-size: 1.8rem;
    color: var(--dark-blue);
}

.question > :nth-child(2){
    margin-top: 8%;
    font-size: 0.9rem;
    text-align: center;
    line-height: 1.4rem;
    color: var(--grayish-blue);
}

.features{
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.feature{
    margin-top: 8%;
    display: flex;
    flex-direction: column;
}

.feature > :nth-child(1){
    width: 20%;
    align-self: center;
}

.feature > :nth-child(2){
    margin-top: 8%;
    font-size: 1.2rem;
    align-self: center;
    color: var(--dark-blue);
}

.feature > :nth-child(3){
    margin-top: 8%;
    font-size: 0.8rem;
    align-self: center;
    line-height: 1.4rem;
    text-align: center;
    color: var(--grayish-blue);
}

.articles{
    position: relative;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 6%;
    background-color: var(--very-light-gray);
}

.articles > .title{
    margin-top: 10%;
    margin-left: auto;
    margin-right:auto;
    padding: 5%;
    font-size: 2rem;
    color: var(--dark-blue);
}

.articles > .article{
    margin: 10% 0;
    background-color: var(--white);
}

.article > .image{
    width: 100%;
    height: 200px;
    border-radius: 8px 8px 0px 0px;
    object-fit: cover;
}

.article > .article-info{
    padding: 8%;
}

.article > .article-info > :nth-child(1) {
    margin: 4% 0;
    font-size: 0.6rem;
    color: var(--grayish-blue);
}

.article > .article-info > :nth-child(2) {
    margin: 4% 0;
    font-size: 0.9rem;
    color: var(--dark-blue)
}

.article > .article-info > :nth-child(3) {
    margin: 4% 0;
    font-size: 0.7rem;
    line-height: 1.1rem;
    color: var(--grayish-blue);
}

.footer{
    padding: 12%;
    background-color: var(--dark-blue);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.logo-social > img{
    width: 8rem;
    margin-bottom: 12%;
    filter: invert(100%) sepia(0%) saturate(804%) hue-rotate(179deg)
    brightness(500%) contrast(100%)
}

.logo-social > :nth-child(2){
    width: 10rem;
    display: flex;
    justify-content: space-between;
}

.logo-social > :nth-child(2) > img{
    width: 32px;
}

.footer > :nth-child(2){
    margin: 12% 0;
}

.footer > :nth-child(2) a{
    padding: 12px 0;
    display: block;
    text-decoration: none;
    text-align: center;
    color: var(--white);
    font-size: 0.9rem;
}

.footer > .button-copyright{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.footer  .button-copyright > :nth-child(1){
    width: 80%;
    font-size: 0.9rem;
    font-weight: bold;
    border: none;
    background-color: var(--lime-green);
    border-radius: 2rem;
    color: white;
    padding: 16px;
}

.footer  .button-copyright > :nth-child(2){
    font-size: 0.8rem;
    color:var(--grayish-blue);
    margin-top: 20%;
}






/* tablet */
@media (min-width: 768px){
    body{
        background-image: url("../images/bg-intro-desktop.svg");
        background-size: 80%;
        object-fit:cover ;
        background-position: top -85px right -270px;
    }

    .header{
        padding: 1% 10% 1% 10%;
        
    }

    .logo > img{
        width: 110%;
    }

    .logo{
        margin-top: 1%;
    }

    .hamburger{
        position: relative;
        display: none;
    }

    nav{
        position: relative;
        display: initial;
    }

    .request-button > button{
        background-image: linear-gradient(90deg, hsl(136, 65%, 51%),hsl(192, 70%, 51%));
        position: relative;
        display: initial;
        font-size: 0.6rem;
        font-weight: bold;
        border: none;
        background-color: var(--lime-green);
        border-radius: 2rem;
        color: white;
        padding: 8px 20px;
        text-align: center;
    }

    nav ul li a{
        text-decoration: none;
        font-size: 0.8rem;
        color: var(--grayish-blue);
        display: inline-block;
        line-height: 50px;
        margin: 0 0.4rem;
      }

.section{
    flex-direction: row;
}

    .main-content{
        top: 0;
        width: 100%;
        padding: 10% 10% 0 10%;
        display: flex;
        justify-content: space-between;
    }

    .main-content .mock-up{
        margin-left: 0;
        width: 60%;
    }

    .main-content .mock-up > img{
        object-fit: cover;
        width: 100%;
        height: 600px;
        object-position: top -68px right -70px;
        position: relative;
        top: -10vw;
        right: -10vw;
    
    }


    .content{
        order: -1;
        width: 50%;
        position: relative;
        margin: 0% 0 0 0;
        align-items: flex-start;

    }

    .content > h1{
        text-align: initial;
        font-size: 1.6rem;
    }

    .content > p{
        text-align: initial;
        margin-top: 6%;
        line-height: 1.2rem;
    }

    .content button{
        margin-top: 8%;
        font-size: 0.8rem;
        padding: 14px;
        align-self: initial;
    }


    .features{
        justify-content: space-between;
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        width: 100%;
    }

    .feature{
        width: 45%;
        margin-top: 8%;
        display: flex;
    }

    .feature > :nth-child(1){
        width: 20%; 
        align-self: initial;
        margin-left: 30%;

    }
    
    .feature > :nth-child(2){
        margin-top: 12%;
        align-self: initial;
        font-size: 1.5rem;
    }
    
    .feature > :nth-child(3){
        margin-top: 12%;
        font-size: 0.8rem;
        align-self: initial;
        text-align: initial;
        line-height: 1.4rem;
        color: var(--grayish-blue);
    }

    .articles{
        padding: 0 10%;
    }

    .articles > .title{
        width: 100%;
        font-size: 2.2rem;
        text-align: center;
    }

    .articles > .article{
        width: 45%;
        margin: 3% 0;
    }

    .article > .image{
        height: 200px;
        border-radius: 8px 8px 0px 0px;
        object-fit: cover;

    }


    .footer{
        padding: 6% 10%;
        align-items: initial;
        align-content: space-between;
    }

    .logo-social > img{
        width: 30%;
        height: 30%;
        margin-bottom: 0;
        align-self: center;
    }

    .logo-social {
        display: flex;
        flex-direction: column;
    }
    
    .logo-social > :nth-child(2){
        width: 50%;
        align-self: center;
        padding: 0% 0 0 0;
        margin-top: 10%;
    }
    
    .logo-social > :nth-child(2) img{
        width: 32px;
        margin: .5%;
    }
    
    .footer > :nth-child(2){
        margin: 0 0;
        display: flex;
        justify-content: center;
    }

    .links > div{
        margin: 40px 40px;
    }

    .links > :nth-child(1){
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .links> :nth-child(2){
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }
    
    .links > div > p{
        width: 100%;
        padding: 10px 0;
        text-align: initial;
        color: var(--white);
        font-size: 0.9rem;
    }
    
    
    .footer .button-copyright > :nth-child(1){
        background-image: linear-gradient(90deg, hsl(136, 65%, 51%),hsl(192, 70%, 51%));
        width: 40%;
        font-size: 0.9rem;
        font-weight: bold;
        border: none;
        background-color: var(--lime-green);
        border-radius: 2rem;
        color: white;
        padding: 16px;
    }
    
    .footer .button-copyright > :nth-child(2){
        font-size: 0.8rem;
        color:var(--grayish-blue);
        margin-top: 8%;
    }

}





/* desktop */
@media (min-width: 992px){

    body{
        background-size: 80%;
        background-position: top -180px right -440px;

    }
    header{
        padding: 1% 10% 1% 10%;
    }

    .header-container{
        background-color: white;
        align-items: center;
    }

    .logo > img{
        width: 110%;
    }

    .logo{
        margin-top: 1%;
    }

    .hamburger{
        position: absolute;
        display: none;
    }

    nav{
        position: relative;
        display: initial;
    }

    .request-button > button{
        width: 100%;
        position: relative;
        display: initial;
        font-size: 0.7rem;
        border: none;
        background-color: var(--lime-green);
        border-radius: 2rem;
        color: white;
        padding: 12px 24px;
        text-align: center;
    }

    nav ul li{
        font-size: 0.8rem;
        color: var(--grayish-blue);
        display: inline-block;
        line-height: 80px;
        margin: 0 0.8rem;
      }

    .content{
        width: 40%;
    }

    .main-content .mock-up{
        width: 130%;
    }

    .main-content .mock-up > img{
        width: 83.5%;
        height: 1000px;
        object-position: top -145px right -165px;
        top: -10vw;
        right: -20vw;
    
    }

    .content > h1{
        font-size: 3rem;
    }

    .content > p{
        text-align: initial;
        margin-top: 6%;
        line-height: 1.4rem;
    }

    .content button{
        width: 40%;
    }

    .question-content{
<<<<<<< HEAD
=======
        position: relative;
        top: -100px;
>>>>>>> ba1019c5e761459c9d0301acc50c2164232f447c
        display: flex;
        flex-direction: column;
        margin-left: 0;

    }

    .question{
        width: 50%;
    }

    .question > :nth-child(1){
        text-align: initial;
        font-size: 2rem;
    }
    
    .question > :nth-child(2){
        margin-top: 4%;
        text-align: initial;
        font-size: 0.9rem;
        line-height: 1.4rem;    
        color: var(--grayish-blue);
    }
    
    .feature{
        width: 23%;
    }
    
    .feature > :nth-child(1){
        margin-left: 0;
    }


    .articles{
        padding: 5% 10%; 
        margin-top: 0%;
    }

    .articles > .title{
        margin-top: 4%;
        width: 100%;
        padding: 0;
        font-size: 2.2rem;
        text-align: initial;
    }

    .articles > .article{
        width: 23.5%;
        margin: 3% 0;
    }


    .footer{
        flex-direction: row;
        justify-content: space-between;
        flex-wrap: wrap;
        align-items: center;
        padding: 2% 10% 2% 0;

    }

    .logo-social{
        padding: 0 10%;
        justify-content: space-between;
    }

    .logo-social > img{
        width: 80%;
        height: 10%;
        margin-bottom: 10%;
        align-self: initial;
    }

    .logo-social > :nth-child(2){
        width: 100%;
    }

    .logo-social > :nth-child(2) img{
        width: 32px;
        margin: 0 8px;
    }

    .links > div > p{
        padding: 12px 0;
        text-align: center;
        color: var(--white);
        font-size: 0.9rem;
    }

    .footer  .button-copyright > :nth-child(1){
        width: 80%;
    }
}

